# ``Observation/ObservationRegistrar/willSet(_:keyPath:)``

@Metadata {
    @DocumentationExtension(mergeBehavior: override)
}

A property observation called before setting the value of the subject.

- Parameters:
    - subject: An instance of an observable type.
    - keyPath: The key path of an observed property.
    
